Hallo
In der Hilfe gibt es die PropertyClass "Delete Method"
Dim objPropertySets As SolidEdgeFileProperties.PropertySets = Nothing
Dim objProperties As SolidEdgeFileProperties.Properties = Nothing
Dim objProperty As SolidEdgeFileProperties.Property = Nothing
' Create a new instance of PropertySets.
objPropertySets = New SolidEdgeFileProperties.PropertySets
objPropertySets.Open("C:\Part1.par", False)
objProperties = objPropertySets.Item("Custom")
objProperty = objProperties.Add("My Custom Property", "My Custom Value")
objProperty.Delete()
objPropertySets.Save()
objPropertySets.Close()
Gibt es eine Möglichkeit, Properties zu löschen, wenn das Dokument Aktiv ist??
Ich habs so versucht, leider erfolglos:
Dim mApp As SolidEdgeFramework.Application = GetObject(, "SolidEdge.Application")
Dim objPropertySets As SolidEdgeFileProperties.PropertySets = Nothing
Dim objProperties As SolidEdgeFileProperties.Properties = Nothing
Dim objProperty As SolidEdgeFileProperties.Property = Nothing
objPropertySets = New SolidEdgeFileProperties.PropertySets
objPropertySets = mApp.ActiveDocument
objProperties = objPropertySets.Item("Custom")
objProperty = objProperties.Add("My Custom Property" (hier die dementsprechende Properties), "My Custom Value")
objProperty.Delete()
objPropertySets.Save()
objPropertySets.Close()
Kann mir jemand helfen?
Ich sollte alle Properties ("Custom") löschen und neue erstellen.
Gruss Peticeo
Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP